Package wx :: Package lib :: Package agw :: Module floatspin :: Class FixedPoint

[frames | no frames]

## Type FixedPoint

    object --+
             |
            FixedPoint

Method Summary
| `__init__(self, value, precision)`
| `__abs__(self)`
| `__add__(self, other)`
| `__cmp__(self, other)`
| `__copy__(self)`
| `__deepcopy__(self)`
| `__div__(self, other)`
| `__divmod__(self, other)`
| `__float__(self)`
| `__hash__(self)`
| `__int__(self)`
| `__long__(self)`
| `__mod__(self, other)`
| `__mul__(self, other)`
| `__neg__(self)`
| `__nonzero__(self)`
| `__radd__(self, other)`
| `__rdiv__(self, other)`
| `__rdivmod__(self, other)`
| `__repr__(self)`
| `__rmod__(self, other)`
| `__rmul__(self, other)`
| `__rsub__(self, other)`
| `__str__(self)`
| `__sub__(self, other)`
| `copy(self)`
| ``frac`(self)` Return fractional portion as a FixedPoint.
| ``get_precision`(self)` Return the precision of this FixedPoint.
| ``set_precision`(self, precision)` Change the precision carried by this FixedPoint to p.

Method Details

### frac(self)

Return fractional portion as a FixedPoint.

x.frac() + long(x) == x

### get_precision(self)

Return the precision of this FixedPoint.

The precision is the number of decimal digits carried after the decimal point, and is an int >= 0.

### set_precision(self, precision=2)

Change the precision carried by this FixedPoint to p.

precision must be an int >= 0, and defaults to DEFAULT_PRECISION.

If precision is less than this FixedPoint's current precision, information may be lost to rounding.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:53:51 2009 | http://epydoc.sf.net